# QCA::DSAPrivateKey Class Reference
[QCA user API]

Digital Signature Algorithm Private Key. More...

`#include <QtCrypto>`

Inheritance diagram for QCA::DSAPrivateKey:

Collaboration diagram for QCA::DSAPrivateKey:

[legend]

List of all members.

## Public Member Functions

DLGroup | domain () const
| DSAPrivateKey (const DLGroup &domain, const BigInteger &y, const BigInteger &x, const QString &provider=QString())
| DSAPrivateKey ()
BigInteger | x () const
BigInteger | y () const

## Detailed Description

Digital Signature Algorithm Private Key.

## Constructor & Destructor Documentation

QCA::DSAPrivateKey::DSAPrivateKey | ( |  | ) |

Create an empty DSA private key.

QCA::DSAPrivateKey::DSAPrivateKey | ( | const DLGroup & | domain,
|  | const BigInteger & | y,
|  | const BigInteger & | x,
|  | const QString & | provider = `QString()` |
| ) |  |  |

Create a DSA public key.

Parameters:

  | domain | the discrete logarithm group to use
  | y | the public random value
  | x | the private random value
  | provider | the provider to use, if a specific provider is required

## Member Function Documentation

DLGroup QCA::DSAPrivateKey::domain | ( |  | ) | const

The discrete logarithm group that is being used.

BigInteger QCA::DSAPrivateKey::x | ( |  | ) | const

the private random value

BigInteger QCA::DSAPrivateKey::y | ( |  | ) | const

the public random value

The documentation for this class was generated from the following file:

- qca_publickey.h